﻿Imports System.Globalization

Public Class Form2
    'Crea el contexto 
    Dim dataContexto As New LinqToSQLDataContextDataContext
    'Crea un objeto DataSet
    Dim ds As New DataSet()
    Sub CargarDatos()
        'Proporciona información sobre una referencia cultural concreta
        ds.Locale = CultureInfo.InvariantCulture
        'Llena el DataSet con los datos del DataAdapter
        SqlDataAdapter1.Fill(ds)
    End Sub
    Private Sub btnEjecutar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEjecutar.Click
        'Crea un objeto tabla ded datos a partir
        'de los datos del DataSet (ds)
        Dim prov As DataTable = ds.Tables("tbPaises")
        'Genera la consulta 
        Dim consulta = From proveedores In prov.AsEnumerable() _
                    Select proveedores
        Dim fila = 0
        'Fila para ir controlando las filas del ListView
        For Each p In consulta
            'Cargamos la primera columna con el dato de la columna 0
            ListView1.Items.Add(p.Field(Of String)(0))
            'Cargamos el resto de columnas con los datos de las demas
            'columnas.
            ListView1.Items(fila).SubItems.Add(p.Field(Of String)(1))
            ListView1.Items(fila).SubItems.Add(p.Field(Of String)(2))
            ListView1.Items(fila).SubItems.Add(p.Field(Of String)(3))
            ListView1.Items(fila).SubItems.Add(p.Field(Of String)(4))
            ListView1.Items(fila).SubItems.Add(p.Field(Of String)(5))
            fila += 1
        Next
    End Sub

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        CargarDatos()
    End Sub

    Private Sub btnConsultar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnConsultar.Click
        Try
            Dim prov As DataTable = ds.Tables("tbPaises")
            Dim qProv = From proveedores In prov.AsEnumerable() _
                               Where (proveedores.Field(Of String)("IDProveedor") = CInt(txtIdProveedor.Text)) _
                        Select proveedores
            For Each p In qProv
                txtNombre.Text = (p.Field(Of String)(1))
                txtApellidos.Text = (p.Field(Of String)(2))
                txtDireccion.Text = (p.Field(Of String)(3))
                txtTelefono.Text = (p.Field(Of String)(4))
                txtPais.Text = (p.Field(Of String)(5))
            Next

        Catch ex As Exception

        End Try
    End Sub

End Class